Se avete dubbi o domande sulla programmazione in generale, fatele qui

Messaggio29 settembre 2017, 14:51 - Problemi con python3 #182302

Ciao ragazzi, ho cercato però mi sembra che le ultime discussioni sono datate.
Ho un problema ad utilizzare le interfacce per python. Con ninja-ide funziona, ma volevo utilizzare spyder, che se mi ricordo bene è fatto meglio.
L'ho installato con pip install spyder, e lo ha installato, però se lo avvio da questo errore.
Codice: Seleziona tutto
┌─[saul@archBook] - [~] - [2017-09-29 02:53:54]
└─[130] <> spyder3     
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/qtpy/__init__.py", line 148, in <module>
    from PySide import __version__ as PYSIDE_VERSION  # analysis:ignore
ModuleNotFoundError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/spyder3", line 11, in <module>
    sys.exit(main())
  File "/usr/lib/python3.6/site-packages/spyder/app/start.py", line 140, in main
    from spyder.app import mainwindow
  File "/usr/lib/python3.6/site-packages/spyder/app/mainwindow.py", line 49, in <module>
    requirements.check_qt()
  File "/usr/lib/python3.6/site-packages/spyder/requirements.py", line 39, in check_qt
    import qtpy
  File "/usr/lib/python3.6/site-packages/qtpy/__init__.py", line 154, in <module>
    raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found


Se provo ad avviare l'idle integrato a python ho questo errore
Codice: Seleziona tutto
┌─[saul@archBook] - [~] - [2017-09-29 02:53:57]
└─[1] <> idle
Traceback (most recent call last):
  File "/usr/bin/idle", line 5, in <module>
    main()
  File "/usr/lib/python3.6/idlelib/pyshell.py", line 1490, in main
    shell = flist.open_shell()
  File "/usr/lib/python3.6/idlelib/pyshell.py", line 312, in open_shell
    self.pyshell = PyShell(self)
  File "/usr/lib/python3.6/idlelib/pyshell.py", line 859, in __init__
    OutputWindow.__init__(self, flist, None, None)
  File "/usr/lib/python3.6/idlelib/outwin.py", line 19, in __init__
    EditorWindow.__init__(self, *args)
  File "/usr/lib/python3.6/idlelib/editor.py", line 96, in __init__
    self.menubar = Menu(root)
  File "/usr/lib/python3.6/tkinter/__init__.py", line 2862, in __init__
    Widget.__init__(self, master, 'menu', cnf, kw)
  File "/usr/lib/python3.6/tkinter/__init__.py", line 2293, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
_tkinter.TclError: expected integer but got "Termines:pixelsize=14,xft:FreeSans:pixelsize=14"


ho pensato magari a tkinter, ma è installato.
Cosa potrebbe essere?
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio29 settembre 2017, 15:35 - Problemi con python3 #182306

Il primo errori dice che non hai installato pyside.
Nel secondo pare ci siano incompatibilità con tkinter. Forse non è aggiornato ad usare python3.6. Di che data è il pacchetto pyshell?
F the saint
10 anni da questo forum ;)
Avatar utente
TheSaint
Robin Hood
 
Messaggi: 6826
Iscritto il: 8 settembre 2007, 7:43
Località: davanti al computer
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio29 settembre 2017, 15:47 - Problemi con python3 #182308

Scusa la mia ignoranza, ma dove vedo di quand'è pyshell? Per ora ho trovato solo questo
Codice: Seleziona tutto
┌─[saul@archBook] - [~] - [2017-09-29 03:47:52]
└─[0] <> sudo pip show pyshell
Name: pyshell
Version: 1.41b0
Summary: Functions for executing individual and concurrent shell commands.
Home-page: UNKNOWN
Author: Todd Mueller
Author-email: toddmueller@gmail.com
License: GPLv3
Location: /usr/lib/python3.6/site-packages
Requires:


Se provo ad installare pyside dice che è compatibile massimo fino alla 3.4
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio29 settembre 2017, 21:26 - Problemi con python3 #182313

Per pyshell, dovresti postare il codice che stai provando, salvo che non sia richiamato da idle.
F the saint
10 anni da questo forum ;)
Avatar utente
TheSaint
Robin Hood
 
Messaggi: 6826
Iscritto il: 8 settembre 2007, 7:43
Località: davanti al computer
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio29 settembre 2017, 21:46 - Problemi con python3 #182314

Oddio sinceramente ho provato a lanciare l'idle senza nessun codice, volevo solo provare a dire aprirlo, appena accendo il pc guardo, grazie mille
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio2 ottobre 2017, 10:45 - Problemi con python3 #182342

Allora se provo a lanciare un codice tramite idle ricevo comunque questo errore
Codice: Seleziona tutto
┌─[saul@archBook] - [~/Corso_python] - [2017-10-02 10:46:24]
└─[1] <> idle3 marco.py
Traceback (most recent call last):
  File "/usr/bin/idle3", line 5, in <module>
    main()
  File "/usr/lib/python3.6/idlelib/pyshell.py", line 1483, in main
    if flist.open(filename) is None:
  File "/usr/lib/python3.6/idlelib/filelist.py", line 37, in open
    edit = self.EditorWindow(self, filename, key)
  File "/usr/lib/python3.6/idlelib/pyshell.py", line 115, in __init__
    EditorWindow.__init__(self, *args)
  File "/usr/lib/python3.6/idlelib/editor.py", line 96, in __init__
    self.menubar = Menu(root)
  File "/usr/lib/python3.6/tkinter/__init__.py", line 2862, in __init__
    Widget.__init__(self, master, 'menu', cnf, kw)
  File "/usr/lib/python3.6/tkinter/__init__.py", line 2293, in __init__
    (widgetName, self._w) + extra + self._options(cnf))
_tkinter.TclError: expected integer but got "Termines:pixelsize=14,xft:FreeSans:pixelsize=14"


Però se lo lancio da python, quindi lo faccio eseguire, funziona
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio4 ottobre 2017, 4:58 - Problemi con python3 #182359

Fai una prova:
Codice: Seleziona tutto
#!/usr/bin/env python
#
# $Id$
#
# somebody should probably check the randrange()s...

import curses
from random import randrange

def next_j(j):
    if j == 0:
        j = 4
    else:
        j -= 1

    if curses.has_colors():
        z = randrange(0, 3)
        color = curses.color_pair(z)
        if z:
            color = color | curses.A_BOLD
        stdscr.attrset(color)

    return j

def main(win):
    # we know that the first argument from curses.wrapper() is stdscr.
    # Initialize it globally for convenience.
    global stdscr
    stdscr = win

    if curses.has_colors():
        bg = curses.COLOR_BLACK
        curses.init_pair(1, curses.COLOR_BLUE, bg)
        curses.init_pair(2, curses.COLOR_CYAN, bg)

    curses.nl()
    curses.noecho()
    # XXX curs_set() always returns ERR
    # curses.curs_set(0)
    stdscr.timeout(0)

    c = curses.COLS - 4
    r = curses.LINES - 4
    xpos = [0] * c
    ypos = [0] * r
    for j in range(4, -1, -1):
        xpos[j] = randrange(0, c) + 2
        ypos[j] = randrange(0, r) + 2

    j = 0
    while True:
        x = randrange(0, c) + 2
        y = randrange(0, r) + 2

        stdscr.addch(y, x, ord('.'))

        stdscr.addch(ypos[j], xpos[j], ord('o'))

        j = next_j(j)
        stdscr.addch(ypos[j], xpos[j], ord('O'))

        j = next_j(j)
        stdscr.addch( ypos[j] - 1, xpos[j],     ord('-'))
        stdscr.addstr(ypos[j],     xpos[j] - 1, "|.|")
        stdscr.addch( ypos[j] + 1, xpos[j],     ord('-'))

        j = next_j(j)
        stdscr.addch( ypos[j] - 2, xpos[j],     ord('-'))
        stdscr.addstr(ypos[j] - 1, xpos[j] - 1, "/ \\")
        stdscr.addstr(ypos[j],     xpos[j] - 2, "| O |")
        stdscr.addstr(ypos[j] + 1, xpos[j] - 1, "\\ /")
        stdscr.addch( ypos[j] + 2, xpos[j],     ord('-'))

        j = next_j(j)
        stdscr.addch( ypos[j] - 2, xpos[j],     ord(' '))
        stdscr.addstr(ypos[j] - 1, xpos[j] - 1, "   ")
        stdscr.addstr(ypos[j],     xpos[j] - 2, "     ")
        stdscr.addstr(ypos[j] + 1, xpos[j] - 1, "   ")
        stdscr.addch( ypos[j] + 2, xpos[j],     ord(' '))

        xpos[j] = x
        ypos[j] = y

        ch = stdscr.getch()
        if ch == ord('q') or ch == ord('Q'):
            return
        elif ch == ord('s'):
            stdscr.nodelay(0)
        elif ch == ord(' '):
            stdscr.nodelay(1)

        curses.napms(50)

curses.wrapper(main)

Prova questo script, se ci sono errori allora è un problama di come hai configurato/aggiornato python.
Comunque per i miei gusti non uso idle, ma un editor meglio evoluto e i programmi li provo direttamente dalla shell.
Editori com Kate, Gedit, Jedit sono quelli che mi danno miglior risultati. Forse non tutti hanno la possibilità di usare le macro, cosa che potrebbe esser utile.
F the saint
10 anni da questo forum ;)
Avatar utente
TheSaint
Robin Hood
 
Messaggi: 6826
Iscritto il: 8 settembre 2007, 7:43
Località: davanti al computer
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio4 ottobre 2017, 5:34 - Problemi con python3 #182367

Poi proverò, attualmente uso shell e vim, ma ero curioso do provare idle. Poi ora è più un discorso di "principio"
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio4 ottobre 2017, 14:44 - Problemi con python3 #182370

ciao, allora ho creato lo script come sh, gli ho dato i permessi di esecuzione, lo lancio e rimane nella schermata di terminale visualizzando solo dei rombi che scorrono. Fermando lo script mi da questo
Codice: Seleziona tutto
┌─[saul@archBook] - [~] - [2017-10-04 02:45:46]
└─[0] <> ./prova.sh
Traceback (most recent call last):
  File "./prova.sh", line 94, in <module>
    curses.wrapper(main)
  File "/usr/lib/python3.6/curses/__init__.py", line 94, in wrapper
    return func(stdscr, *args, **kwds)
  File "./prova.sh", line 92, in main
    curses.napms(50)
KeyboardInterrupt
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio8 ottobre 2017, 17:13 - Problemi con python3 #182398

Beh, sì, infatti dovrebbe rappresentare delle gocce di pioggia. Ma la prova dovresti farla dalla shell di idle, una volta caricato lo script. Per capire se hai problemi ad avviare programmi da idle.
F the saint
10 anni da questo forum ;)
Avatar utente
TheSaint
Robin Hood
 
Messaggi: 6826
Iscritto il: 8 settembre 2007, 7:43
Località: davanti al computer
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio9 ottobre 2017, 8:20 - Problemi con python3 #182404

Eh lo farei, ma purtroppo idle non mi parte proprio
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio9 ottobre 2017, 16:30 - Problemi con python3 #182408

Su due piedi, ti conviene disintallare python3 e reinstallare a nuovo. Eventualmente ripulire tutti i riferimenti in /usr/lib/
F the saint
10 anni da questo forum ;)
Avatar utente
TheSaint
Robin Hood
 
Messaggi: 6826
Iscritto il: 8 settembre 2007, 7:43
Località: davanti al computer
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio9 ottobre 2017, 17:54 - Problemi con python3 #182410

Stavo pensando anch'io alla stessa eventualità, devo solo prendere coraggio eh eh
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio10 ottobre 2017, 10:45 - Problemi con python3 #182418

Visto che è un po complicato non avere python3, meglio che previeni con un backup totale, prima delle eventuali mosse. Al limite torni al punto dove hai salvato.
F the saint
10 anni da questo forum ;)
Avatar utente
TheSaint
Robin Hood
 
Messaggi: 6826
Iscritto il: 8 settembre 2007, 7:43
Località: davanti al computer
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio10 ottobre 2017, 20:19 - Problemi con python3 #182432

Disinstallato e reinstallato, niente da fare, stesso errore, però non ho eliminato niente da /usr/lib, perché non so di preciso come fare
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm
Zar Marco
Arciere
 
Messaggi: 347
Iscritto il: 29 dicembre 2015, 12:34
Architettura: x86_64 (64bit)
Top

Re: Problemi con python3

Messaggio11 ottobre 2017, 6:37 - Problemi con python3 #182436

Dovevi o dovresti rimuovere/rinominare la cartella /usr/lib/python3.6/
Se ci sono altri programmi che hanno depositato dei files in essa, allora ci vuole la cautela di rinominare e passo passo vedere quale programma è affetto dalla modifica.
Ma per un certo grado di probabilità è qualcosa che hai modificato. A me idle funziona ed i programmi si possono avviare da pyshell.
F the saint
10 anni da questo forum ;)
Avatar utente
TheSaint
Robin Hood
 
Messaggi: 6826
Iscritto il: 8 settembre 2007, 7:43
Località: davanti al computer
Architettura: x86_64 (64bit)
Top


Torna a Programmazione

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

Moderatori: 4javier, aleph, veleno77, adriano, Hilinus

cron